USE_SANDBOXED_ORCID=true
ORCID_CLIENT_ID=APP-J3941QEESM5O37CQ # please make your own! see https://gitlab.coko.foundation/kotahi/kotahi/-/blob/main/FAQ.md#how-do-i-setup-orcid-for-development
ORCID_CLIENT_SECRET=3c4d5e30-8fec-4377-86ab-77d8fed554ed
POSTGRES_USER=kotahidev
POSTGRES_PASSWORD=kotahidev
POSTGRES_DB=kotahidev
CLIENT_PORT=4000
CLIENT_HOST=0.0.0.0
CLIENT_PROTOCOL=http
PUBLIC_CLIENT_HOST=0.0.0.0
SERVER_PROTOCOL=http
SERVER_HOST=0.0.0.0
SERVER_PORT=3000
PUBSWEET_SECRET=kotahidev
SERVICE_PAGEDJS_CLIENT_ID=59a3392b-0c4f-4318-bbe2-f86eff6d3de4
SERVICE_PAGEDJS_SECRET=asldkjLKJLaslkdf897kjhKUJH
SERVICE_PAGEDJS_PROTOCOL=http
SERVICE_PAGEDJS_HOST=pagedjs
SERVICE_PAGEDJS_PORT=3003
SERVICE_XSWEET_CLIENT_ID=59a3392b-0c4f-4318-bbe2-f86eff6d3de4
SERVICE_XSWEET_SECRET=asldkjLKJLaslkdf897kjhKUJH
SERVICE_XSWEET_PROTOCOL=http
SERVICE_XSWEET_HOST=xsweet
SERVICE_XSWEET_PORT=3004
SERVICE_ANYSTYLE_CLIENT_ID=59a3392b-0c4f-4318-bbe2-f86eff6d3de4
SERVICE_ANYSTYLE_SECRET=asldkjLKJLaslkdf897kjhKUJH
SERVICE_ANYSTYLE_PROTOCOL=http
SERVICE_ANYSTYLE_HOST=anystyle
SERVICE_ANYSTYLE_PORT=4567


# You will need to have set up a user and a bucket on your file server beforehand.
S3_ACCESS_KEY_ID=nonRootUser
S3_SECRET_ACCESS_KEY=nonRootPassword
S3_BUCKET=uploads
S3_PROTOCOL=http
S3_HOST=localhost
S3_PORT=9000

TEMP_FOLDER_PATH=uploads/temp

# Minio File storage for local development
MINIO_ROOT_USER=admin
MINIO_ROOT_PASSWORD=superSecretAdminPassword
MINIO_CONSOLE_PORT=9001

INSTANCE_GROUPS=journal:aperture,prc:colab,single_form:elife
MANUSCRIPTS_TABLE_COLUMNS="shortId, meta.title, created, updated, status, author"
DISPLAY_SHORTID_AS_IDENTIFIER=true

PUBLISHING_WEBHOOK_URL=https://someserver/webhook-address # see https://gitlab.coko.foundation/kotahi/kotahi/-/blob/main/FAQ.md#how-do-i-publish-from-kotahi
PUBLISHING_WEBHOOK_SECRET=some-secret-string

REVIEW_SHARED=true
REVIEW_HIDE=true

TEAM_TIMEZONE=Etc/UTC
AUTO_IMPORT_HOUR_UTC=21
ARCHIVE_PERIOD_DAYS=60
ALLOW_MANUAL_IMPORT=true

SEMANTIC_SCHOLAR_IMPORTS_RECENCY_PERIOD_DAYS=42

NOTIFICATION_EMAIL_AUTOMATED=false
NOTIFICATION_EMAIL_CC_ENABLED=false
USE_COLAB_EMAIL=false
# Insert the developer's email address on the following line. During development/testing, all emails will be sent here rather than their normal recipients. Or leave blank to suppress emails entirely.
TEST_EMAIL_RECIPIENT=

#Flax variables
FLAX_EXPRESS_PORT=8082
FLAX_EXPRESS_HOST=kotahi-flax-site
FLAX_EXPRESS_PROTOCOL=http
FLAX_SITE_PORT=8081

FLAX_CLIENT_ID=''
FLAX_CLIENT_SECRET=''
FLAX_CLIENT_API_URL=http://client:4000
FLAX_SITE_URL="http://localhost:8081"